Show / Hide Table of Contents

# Struct AddonExp

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonExp

### Fields

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### ClassJob

##### Declaration

    public byte ClassJob

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CurrentExp

##### Declaration

    public uint CurrentExp

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RequiredExp

##### Declaration

    public uint RequiredExp

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RestedExp

##### Declaration

    public uint RestedExp

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Properties

| Improve this Doc View Source

#### CurrentExpPercent

##### Declaration

    public readonly float CurrentExpPercent { get; }

##### Property Value

Type | Description
--- | ---
System.Single |